shipping.read- Shipping Read OnlyAuthorization: Bearer ********************curl --location 'https://api.salla.dev/admin/v2/delivery-promises' \
--header 'Authorization: Bearer <token>'{
"status": 200,
"success": true,
"data": [
{
"id": 1440241834,
"type": "express",
"status": false,
"locked": true,
"name": "التوصيل السريع",
"description": "توصيل فائق السرعة خلال ساعات قليلة",
"created_at": {
"date": "2026-02-11 10:29:24.000000",
"timezone_type": 3,
"timezone": "Asia/Riyadh"
},
"location": {
"country": {
"id": 1473353380,
"name": "السعودية"
},
"region": {
"id": 566146469,
"name": "منطقة مكة المكرمة"
},
"cities": [
{
"id": 566146469,
"name": "جدة"
},
{
"id": 1939592358,
"name": "مكة المكرمة"
}
]
},
"delivery_time": {
"from": 2,
"to": 4,
"type": "hours"
}
},
{
"id": 2079537577,
"type": "same_day",
"status": false,
"locked": true,
"name": "نفس اليوم",
"description": "توصيل الطلب في نفس يوم الشراء للطلبات",
"created_at": {
"date": "2026-02-11 10:29:24.000000",
"timezone_type": 3,
"timezone": "Asia/Riyadh"
},
"location": {
"country": {
"id": 1473353380,
"name": "السعودية"
},
"region": {
"id": 566146469,
"name": "منطقة مكة المكرمة"
},
"cities": [
{
"id": 566146469,
"name": "جدة"
}
]
},
"delivery_time": {
"from": 4,
"to": 6,
"type": "hours"
}
},
{
"id": 773200552,
"type": "next_day",
"status": false,
"locked": true,
"name": "اليوم التالي",
"description": "توصيل في اليوم التالي",
"created_at": {
"date": "2026-02-11 10:29:24.000000",
"timezone_type": 3,
"timezone": "Asia/Riyadh"
},
"location": {
"country": {
"id": 1473353380,
"name": "السعودية"
},
"region": {
"id": 566146469,
"name": "منطقة مكة المكرمة"
},
"cities": [
{
"id": 1939592358,
"name": "مكة المكرمة"
}
]
},
"delivery_time": {
"from": 1,
"to": 2,
"type": "days"
}
},
{
"id": 1548352431,
"type": "standard",
"status": false,
"locked": true,
"name": "التوصيل العادي",
"description": "الخيار الاقتصادي للطلبات العاجلة",
"created_at": {
"date": "2026-02-11 10:29:24.000000",
"timezone_type": 3,
"timezone": "Asia/Riyadh"
},
"location": {
"country": {
"id": 1473353380,
"name": "السعودية"
},
"region": {
"id": -1,
"name": "كل المناطق"
},
"cities": [
{
"id": -1,
"name": "كل المدن"
}
]
},
"delivery_time": {
"from": 2,
"to": 5,
"type": "days"
}
},
{
"id": 40688814,
"type": "international",
"status": false,
"locked": true,
"name": "التوصيل الدولي",
"description": "الخيار الاقتصادي للطلبات غير العاجلة",
"created_at": {
"date": "2026-02-11 10:29:24.000000",
"timezone_type": 3,
"timezone": "Asia/Riyadh"
},
"location": {
"country": {
"id": -1,
"name": "كل الدول"
},
"region": {
"id": -1,
"name": "كل المناطق"
},
"cities": [
{
"id": -1,
"name": "كل المدن"
}
]
},
"delivery_time": {
"from": 2,
"to": 5,
"type": "days"
}
}
]
}